<?php
/**
 * N3Download (Nesquik Download)
 *
 * Система представляет собой скрипт загруз-центра
 * Система написана на PHP, хранящая данные в БД MYSQL
 * Высокая скорость работы скрипта, устойчивость к нагрузкам
 *
 * Автор: N3squ1k (Несквик)
 * ICQ: 551-228
 *
 * Вы не имеете право продавать скрипта
 * Вы не имеете право вылаживать скрипта
 * Все права на данный скрипт пренадлежат его автору
 *
 * Все права защищены © 2010
 */

define('ROOT', str_replace(array('\\', '//'), '/', getcwd()).'/');

if (file_exists(ROOT.'__incfiles/core.php')) {
	require_once(ROOT.'__incfiles/core.php');
} else {
	exit('Немогу подключить системный файл');
}

if ($set['stat'] == 0) header('Location: '.SCRIPT);

require_header('Статистика загруз-центра');

$sql = mysql_query("SELECT (`path`) FROM `".SQLprefixTable."files` WHERE `id`='".abs(intval($_POST['id']))."' AND `size`='0'");

if (isset($_POST['id']) && mysql_num_rows($sql)) {
	$row = mysql_fetch_row($sql);

	$count_dir = mysql_fetch_row(mysql_query("SELECT COUNT(1) FROM `".SQLprefixTable."files` WHERE `infolder`='".mysql_real_escape_string($row[0])."' AND `size`='0'"));
	$file = mysql_fetch_row(mysql_query("SELECT COUNT(1), SUM(`size`), SUM(`rate`), SUM(`load`), SUM(`count`) FROM `".SQLprefixTable."files` WHERE `infolder`='".mysql_real_escape_string($row[0])."' AND `size`>'0'"));
	$new_file = mysql_fetch_row(mysql_query("SELECT COUNT(1) FROM `".SQLprefixTable."files` WHERE `infolder`='".mysql_real_escape_string($row[0])."' AND `dateupload`>'".mktime(0, 0, 1, date('m'), date('d'), date('Y'))."'"));
	
} else {
	$count_dir = mysql_fetch_row(mysql_query("SELECT COUNT(1) FROM `".SQLprefixTable."files` WHERE `size`='0'"));
	$file = mysql_fetch_row(mysql_query("SELECT COUNT(1), SUM(`size`), SUM(`rate`), SUM(`load`), SUM(`count`) FROM `".SQLprefixTable."files` WHERE `size`>'0'"));
	$new_file = mysql_fetch_row(mysql_query("SELECT COUNT(1) FROM `".SQLprefixTable."files` WHERE `dateupload`>'".mktime(0, 0, 1, date('m'), date('d'), date('Y'))."'"));
}

unset($sql, $row);

echo '<div class="menu">
<b>Каталогов:</b> '.$count_dir[0].'<br/>
<b>Всего файлов:</b> '.$file[0].', общим объемом в: '.size($file[1]).'<br/>
<b>Всего новых файлов:</b> '.$new_file[0].'<br/><br/>

<b>Общий рейтинг файлов:</b> '.intval($file[2]).'<br/>
<b>Общее кол-во скачек:</b> '.intval($file[3]).'<br/>
<b>Общее кол-во просмотров:</b> '.intval($file[4]).'</div>';

$sql = mysql_query("SELECT `id`, `name` FROM `".SQLprefixTable."files` WHERE `size`='0' AND `infolder`='files/' ORDER BY `id` ASC");

if (mysql_num_rows($sql)) {

	echo '<form class="block" action="" method="post">
	<b>Выберите раздел для просмотра статистики:</b><br/>
	<select name="id">';

	while ($row = mysql_fetch_row($sql)) {
		echo '<option value="'.$row[0].'" '.(isset($_POST['id']) && $_POST['id'] == $row[0] ? 'selected="selected"' : '').'>'.str_replace('*', '', htmlspecialchars($row[1])).'</option>';
	}
	
	echo '</select> <input type="submit" value="Смотреть"/></form>';
	
}

echo '<div class="block"><a href="'.SCRIPT.'">На главную</a></div>';

require_footer();
?>